/**
 * \file CellID.hpp
 *
 * Header file to declare the type Cell_ID (use to lighten node and position representation)
 * 
 *
 * \author Cyril Robin
 *
 * \ingroup lgl
 *
 **/

#ifndef LGL_CELL_ID_HPP
#define LGL_CELL_ID_HPP

// Type for the integer used as ID for the cells
#ifndef CELL_ID
#define CELL_ID

// /!\ the Cell_ID is :  ( x * y_size + y )
// /!\ BEWARE that if y>= ysize, there will be a problem...

// 0 < Cell_ID < 4 294 967 295 
typedef unsigned long int Cell_ID ;

#endif

#endif /* LGL_CELL_ID_HPP */
