/**
 * \file PursuitStats.cpp
 *
 * Source file for the pursuit statistics class
 * 
 *
 * \author Cyril Robin
 *
 * \ingroup lgl
 *
 **/

#include <lgl/PursuitStats.hpp>

namespace jafar {
	namespace lgl {
		
		/* output stream for PursuitGNode */
		std::ostream& operator<<(std::ostream& out, PursuitStats const &rhs)
		{///{{{
		
			out << "PursuitStats over " 	<< rhs.getrounds() 	<< " stages : " << std::endl ;
			if ( rhs.getrounds() > 0 )
			{
				out	<< "*** horizon          : " << *rhs.gethorizon() ; 
				out	<< "*** computation time : " << *rhs.getcomputationTime() ; 
				out	<< "*** front            : " << *rhs.getfront() ; 
				out	<< "*** risk             : " << *rhs.getrisk() ; 
				out	<< "*** danger           : " << *rhs.getdanger() ; 

				out	<< "*** Ratio            : "
									<< "OK = " 		<< 100.0 * rhs.getrateOK() 		<< " % - "
									<< "RISK = "	<< 100.0 * rhs.getrateRISK()	<< " % - "
									<< "DANGER = "	<< 100.0 * rhs.getrateDANGER()	<< " %"	 
									<< std::endl ;
			}
			else
				out << " no stats ]" ;

			out << std::endl ;

			return (out);

		}///}}}

	}
}

