/* $Id$ */

// test suite specific includes
#include "lgl/Quadtree.hpp"
#include "lgl/Decomp.hpp"

#include "lgl/Raster.hpp"

namespace jafar {
	namespace lgl {

		/* 
		 * class Quadtree test suite 
		 */

		class test_Quadtree {
			
		public:
			
			test_Quadtree(std::string filename) {


				GeoData *geodata = new GeoData(filename);
			  
				Quadtree<float, GeoData> *qt = new Quadtree<float, GeoData>(geodata);

				//QuadNodeLeaf<float, GeoData>* cluster = qt->getClusterForCell(RasterCellIndex(0,0));
				RasterRect cluster;
				if ( qt->getClusterForCell(RasterCellIndex(0,0), cluster) )
				{
					std::cout << "OK    " << cluster << std::endl;
				} else {
					std::cout << "ERROR   Could not get cluster for cell 0,0 " << std::endl;
				}

				Decomp* decomp = qt->getDecomp();
				std::cout << "Nb clusters : " << decomp->getNbClusters() << std::endl;

				//decomp->setCluster(RasterRect(0,0,200,200));

				vector<NavLocation> locs;
				decomp->getInOutPoints(RasterCellIndex(0,0), locs);
				int N = (int)locs.size();
				for (int i=0; i < N;i++) {
					std::cout << locs[i] << std::endl;
				}

			}

		};
	} // namespace lgl
} // namespace jafar
